Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.impl
Class OWLPropertyImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.impl.BuiltInArgumentImpl
          edu.stanford.smi.protegex.owl.swrl.bridge.impl.OWLPropertyImpl

All Implemented Interfaces:
  Argument, AtomArgument, BuiltInArgument, OWLProperty, PropertyValue, ResultValue, Comparable

Direct Known Subclasses:
  OWLDatatypePropertyImpl, OWLObjectPropertyImpl

    public abstract class OWLPropertyImpl

extends BuiltInArgumentImpl
implements OWLProperty

Class representing an OWL property

Constructor Summary
`OWLPropertyImpl(OWLModel owlModel, String propertyName)`
`OWLPropertyImpl(String propertyName)`

Method Summary
`static Set<OWLPropertyAssertionAxiom>` | `buildOWLPropertyAssertionAxioms(OWLModel owlModel, String propertyName)`
`int` | `compareTo(Object o)`
`boolean` | `equals(Object obj)`
`Set<String>` | `getDomainClassNames()`
`Set<String>` | `getEquivalentPropertyNames()`
`Set<String>` | `getEquivalentPropertySuperPropertyNames()`
`String` | `getPrefixedPropertyName()`
`String` | `getPropertyName()`
`Set<String>` | `getRangeClassNames()`
`String` | `getRepresentation()`
`Set<String>` | `getSubPropertyNames()`
`Set<String>` | `getSuperPropertyNames()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.impl.BuiltInArgumentImpl
`getBuiltInResult, getPrefixedVariableName, getVariableName, isUnbound, isVariable, setBuiltInResult, setUnbound, setVariableName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OWLPropertyImpl

    public OWLPropertyImpl(OWLModel owlModel,
                           String propertyName)
                    throws OWLFactoryException

Throws:
  `OWLFactoryException`

### OWLPropertyImpl

    public OWLPropertyImpl(String propertyName)

Method Detail

### getPropertyName

    public String getPropertyName()

  Specified by:
    `getPropertyName` in interface `OWLProperty`
  Specified by:
    `getPropertyName` in interface `PropertyValue`

### getPrefixedPropertyName

    public String getPrefixedPropertyName()

  Specified by:
    `getPrefixedPropertyName` in interface `OWLProperty`
  Specified by:
    `getPrefixedPropertyName` in interface `PropertyValue`

### getDomainClassNames

    public Set<String> getDomainClassNames()

  Specified by:
    `getDomainClassNames` in interface `OWLProperty`

### getRangeClassNames

    public Set<String> getRangeClassNames()

  Specified by:
    `getRangeClassNames` in interface `OWLProperty`

### getSuperPropertyNames

    public Set<String> getSuperPropertyNames()

  Specified by:
    `getSuperPropertyNames` in interface `OWLProperty`

### getSubPropertyNames

    public Set<String> getSubPropertyNames()

  Specified by:
    `getSubPropertyNames` in interface `OWLProperty`

### getEquivalentPropertyNames

    public Set<String> getEquivalentPropertyNames()

  Specified by:
    `getEquivalentPropertyNames` in interface `OWLProperty`

### getEquivalentPropertySuperPropertyNames

    public Set<String> getEquivalentPropertySuperPropertyNames()

  Specified by:
    `getEquivalentPropertySuperPropertyNames` in interface `OWLProperty`

### getRepresentation

    public String getRepresentation()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `BuiltInArgumentImpl`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `BuiltInArgumentImpl`

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### buildOWLPropertyAssertionAxioms

    public static Set<OWLPropertyAssertionAxiom> buildOWLPropertyAssertionAxioms(OWLModel owlModel,
                                                                                 String propertyName)
                                                                          throws OWLFactoryException,
                                                                                 DatatypeConversionException

  Throws:
    `OWLFactoryException`
    `DatatypeConversionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.